Bug 9802 - gencache.tdb should be moved to /var/cache/samba
gencache.tdb should be moved to /var/cache/samba
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-17 09:04 UTC by Karolin Seeger
Modified: 2013-09-02 10:33 UTC (History)
4 users (show)

See Also:


Attachments
Proposed patch written by Metze (972 bytes, patch)
2013-04-17 09:05 UTC, Karolin Seeger
no flags Details
Proposed patch written by Metze incl. cherry-pick information (1.02 KB, patch)
2013-04-17 09:09 UTC, Karolin Seeger
metze: review+
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2013-04-17 09:04:49 UTC
From Metze's commit message:

/var/lock/samba is located on tmpfs on newer systems,
but we want to keep things like the server affinity cache
across reboots.
Comment 1 Karolin Seeger 2013-04-17 09:05:49 UTC
Created attachment 8777 [details]
Proposed patch written by Metze
Comment 2 Karolin Seeger 2013-04-17 09:09:38 UTC
Created attachment 8778 [details]
Proposed patch written by Metze incl. cherry-pick information
Comment 3 Stefan Metzmacher 2013-04-17 09:10:53 UTC
Comment on attachment 8778 [details]
Proposed patch written by Metze incl. cherry-pick information

Looks good
Comment 4 Volker Lendecke 2013-04-17 09:14:41 UTC
Comment on attachment 8778 [details]
Proposed patch written by Metze incl. cherry-pick information

Is this really something for a minor release? I certainly see this as very worthwhile for 4.1, but within the 4.0 release stream -- I don't know.
Comment 5 Karolin Seeger 2013-08-22 08:29:26 UTC
The patch should be pushed to v4-0-test a least as soon as possible.
Comment 6 Michael Adam 2013-08-22 09:04:08 UTC
Comment on attachment 8778 [details]
Proposed patch written by Metze incl. cherry-pick information

I think we do need this for 4.0, since putting the gencache.tdb into a tmpfs, hence losing it across reboots, can create very bad behaviour, e.g. after joins.
Comment 7 Michael Adam 2013-08-22 09:04:47 UTC
==> Karolin for 4.0.NEXT
Comment 8 Karolin Seeger 2013-08-22 09:13:27 UTC
(In reply to comment #5)
> The patch should be pushed to v4-0-test a least as soon as possible.

This is a typo, I meant v4-1-test here.

Volker, are there any arguments against putting it into v4-0-test, also?
Comment 9 Karolin Seeger 2013-08-22 10:20:51 UTC
(In reply to comment #8)
> (In reply to comment #5)
> > The patch should be pushed to v4-0-test a least as soon as possible.
> 
> This is a typo, I meant v4-1-test here.
> 
> Volker, are there any arguments against putting it into v4-0-test, also?

Okay, (In reply to comment #8)
> (In reply to comment #5)
> > The patch should be pushed to v4-0-test a least as soon as possible.
> 
> This is a typo, I meant v4-1-test here.
> 
> Volker, are there any arguments against putting it into v4-0-test, also?

Okay, trying to sum up the issue:
-Currently, the gencache.tdb incl. the server affinity cache is lost after 
 reboot, because it's located on a tmpfs.
-The patch would fix this issue, but might cause trouble on setups running very
 long without reboots.

-> Adding the patch for 4.1 and mentioning in the release notes that you need to
   move the gencache.tdb after stopping the service is certainly ok.
-> Is it ok for 4.0, also?

Opinions?

Karolin
Comment 10 Karolin Seeger 2013-08-28 07:17:07 UTC
Patch already in v4-1-test (54529fd3542).
Comment 11 Karolin Seeger 2013-09-02 07:51:42 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > (In reply to comment #5)
> > > The patch should be pushed to v4-0-test a least as soon as possible.
> > 
> > This is a typo, I meant v4-1-test here.
> > 
> > Volker, are there any arguments against putting it into v4-0-test, also?
> 
> Okay, (In reply to comment #8)
> > (In reply to comment #5)
> > > The patch should be pushed to v4-0-test a least as soon as possible.
> > 
> > This is a typo, I meant v4-1-test here.
> > 
> > Volker, are there any arguments against putting it into v4-0-test, also?
> 
> Okay, trying to sum up the issue:
> -Currently, the gencache.tdb incl. the server affinity cache is lost after 
>  reboot, because it's located on a tmpfs.
> -The patch would fix this issue, but might cause trouble on setups running very
>  long without reboots.
> 
> -> Adding the patch for 4.1 and mentioning in the release notes that you need
> to
>    move the gencache.tdb after stopping the service is certainly ok.
> -> Is it ok for 4.0, also?
> 
> Opinions?
> 
> Karolin

Pushed to v4-0-test after talking to obnox and metze.
Please feel free to re-open/revert the patch.